module.exports = [
  {
    "title": "Documentation",
    "children": [
      {
        "title": "Preface",
        "path": "/preface/",
        "children": [
          {
            "title": "Benefits Overview",
            "path": "/preface/",
          },
          {
            "title": "Feature List",
            "path": "/preface/feature-list.html",
          },
          {
            "title": "Architecture Concepts",
            "path": "/preface/architecture-concepts.html",
          },
          {
            "title": "Credits",
            "path": "/preface/credits.html",
          },
          {
            "title": "Contribution Guide",
            "path": "/preface/contribution-guide.html",
          },
          {
            "title": "Licensing",
            "path": "/preface/licensing.html",
          },
          {
            "title": "1.x Documentation",
            "path": "/preface/1-x-documentation.html",
          }
        ],
        "collapsable": true
      },
      {
        "title": "Getting Started",
        "path": "/getting-started/",
        "children": [
          {
            "title": "Environment Requirements",
            "path": "/getting-started/",
          },
          {
            "title": "Installation",
            "path": "/getting-started/installation.html",
          },
          {
            "title": "Configuration",
            "path": "/getting-started/configuration.html",
          },
          {
            "title": "Navigation",
            "path": "/getting-started/navigation.html",
          }
        ],
        "collapsable": true
      },
      {
        "title": "Modules",
        "path": "/crud-modules/",
        "children": [
          {
            "title": "CRUD Modules",
            "path": "/crud-modules/",
          },
          {
            "title": "CLI Generator",
            "path": "/crud-modules/cli-generator.html",
          },
          {
            "title": "Migrations",
            "path": "/crud-modules/migrations.html",
          },
          {
            "title": "Models",
            "path": "/crud-modules/models.html",
          },
          {
            "title": "Repositories",
            "path": "/crud-modules/repositories.html",
          },
          {
            "title": "Controllers",
            "path": "/crud-modules/controllers.html",
          },
          {
            "title": "Form Requests",
            "path": "/crud-modules/form-requests.html",
          },
          {
            "title": "Routes",
            "path": "/crud-modules/routes.html",
          },
          {
            "title": "Revisions and Previewing",
            "path": "/crud-modules/revisions-and-previewing.html",
          },
          {
            "title": "Nested Modules",
            "path": "/crud-modules/nested-modules.html",
          }
        ],
        "collapsable": true
      },
      {
        "title": "Form Fields",
        "path": "/form-fields/",
        "children": [
          {
            "title": "Form Fields",
            "path": "/form-fields/",
          },
          {
            "title": "Input",
            "path": "/form-fields/input.html",
          },
          {
            "title": "WYSIWYG",
            "path": "/form-fields/wysiwyg.html",
          },
          {
            "title": "Medias",
            "path": "/form-fields/medias.html",
          },
          {
            "title": "Files",
            "path": "/form-fields/files.html",
          },
          {
            "title": "Datepicker",
            "path": "/form-fields/datepicker.html",
          },
          {
            "title": "Timepicker",
            "path": "/form-fields/timepicker.html",
          },
          {
            "title": "Select",
            "path": "/form-fields/select.html",
          },
          {
            "title": "Select Unpacked",
            "path": "/form-fields/select-unpacked.html",
          },
          {
            "title": "Multi Select",
            "path": "/form-fields/multi-select.html",
          },
          {
            "title": "Multi Select Inline",
            "path": "/form-fields/multi-select-inline.html",
          },
          {
            "title": "Tags",
            "path": "/form-fields/tags.html",
          },
          {
            "title": "Checkbox",
            "path": "/form-fields/checkbox.html",
          },
          {
            "title": "Multiple Checkboxes",
            "path": "/form-fields/multiple-checkboxes.html",
          },
          {
            "title": "Radios",
            "path": "/form-fields/radios.html",
          },
          {
            "title": "Block Editor",
            "path": "/form-fields/block-editor.html",
          },
          {
            "title": "Browser",
            "path": "/form-fields/browser.html",
          },
          {
            "title": "Repeater",
            "path": "/form-fields/repeater.html",
          },
          {
            "title": "Map",
            "path": "/form-fields/map.html",
          },
          {
            "title": "Color",
            "path": "/form-fields/color.html",
          },
          {
            "title": "Conditional Fields",
            "path": "/form-fields/conditional-fields.html",
          },
          {
            "title": "Field grouping",
            "path": "/form-fields/field-grouping.html",
          }
        ],
        "collapsable": true
      },
      {
        "title": "Block Editor",
        "path": "/block-editor/",
        "children": [
          {
            "title": "Overview",
            "path": "/block-editor/",
          },
          {
            "title": "Creating a Block Editor",
            "path": "/block-editor/creating-a-block-editor.html",
          },
          {
            "title": "Adding Repeater Fields to a Block",
            "path": "/block-editor/adding-repeater-fields-to-a-block.html",
          },
          {
            "title": "Adding Browser Fields to a Block",
            "path": "/block-editor/adding-browser-fields-to-a-block.html",
          },
          {
            "title": "Rendering Blocks",
            "path": "/block-editor/rendering-blocks.html",
          },
          {
            "title": "Previewing Blocks",
            "path": "/block-editor/previewing-blocks.html",
          },
          {
            "title": "Block classes",
            "path": "/block-editor/block-classes.html",
          },
          {
            "title": "Validating block fields",
            "path": "/block-editor/validating-blocks.html",
          },
          {
            "title": "Adding data to block forms",
            "path": "/block-editor/adding-data-to-block-forms.html",
          },
          {
            "title": "Development Workflow",
            "path": "/block-editor/development-workflow.html",
          },
          {
            "title": "Default Configuration",
            "path": "/block-editor/default-configuration.html",
          },
          {
            "title": "Legacy Configuration (< 2.2)",
            "path": "/block-editor/legacy-configuration-2-2.html",
          }
        ],
        "collapsable": true
      },
      {
        "title": "Media Library",
        "path": "/media-library/",
        "children": [
          {
            "title": "Media Library",
            "path": "/media-library/",
          },
          {
            "title": "Storage Provider",
            "path": "/media-library/storage-provider.html",
          },
          {
            "title": "Image Rendering Service",
            "path": "/media-library/image-rendering-service.html",
          },
          {
            "title": "Role & Crop Params",
            "path": "/media-library/role-crop-params.html",
          },
          {
            "title": "File Library",
            "path": "/media-library/file-library.html",
          },
          {
            "title": "Custom metadata",
            "path": "/media-library/custom-metadata.html",
          },
          {
            "title": "Imgix and S3 Direct Uploads",
            "path": "/media-library/imgix-and-s3-direct-uploads.html",
          },
          {
            "title": "Imgix and Local Uploads",
            "path": "/media-library/imgix-and-local-uploads.html",
          }
        ],
        "collapsable": true
      },
      {
        "title": "Guides",
        "path": "/guides/",
        "children": [
          {
            "title": "Adding fields to the create modal",
            "path": "/guides/adding-fields-to-the-create-modal.html",
          },
          {
            "title": "Prefill block editor from template",
            "path": "/guides/prefill-block-editor-from-template.html",
          },
          {
            "title": "Building a multilingual site with Twill and Laravel Localization",
            "path": "/guides/building_a_multilingual_site_with_twill_and_laravel_localization.html",
          },
          {
            "title": "Adding custom user roles and permissions on Twill",
            "path": "/guides/adding-custom-roles-and-permissions.html",
          },
          {
            "title": "Manage frontend user profiles from Twill",
            "path": "/guides/manage_frontend_user_profiles_from_twill.html",
          },
          {
            "title": "Vue.js Workflow - Creating custom components, form fields and blocks in Twill",
            "path": "/guides/creating_custom_components_form_fields_and_blocks.html"
          }
        ],
      },
      {
        "title": "Artisan Commands",
        "path": "/artisan-commands/",
        "children": [],
      },
      {
        "title": "Dashboard",
        "path": "/dashboard/",
        "children": [],
      },
      {
        "title": "Global Search",
        "path": "/global-search/",
        "children": [],
      },
      {
        "title": "Featuring Content",
        "path": "/featuring-content/",
        "children": [],
      },
      {
        "title": "Settings Sections",
        "path": "/settings-sections/",
        "children": [],
      },
      {
        "title": "Custom CMS Pages",
        "path": "/custom-cms-pages/",
        "children": [],
      },
      {
        "title": "User Management",
        "path": "/user-management/",
        "children": [],
      },
      {
        "title": "OAuth Login",
        "path": "/oauth-login/",
        "children": [],
      },
      {
        "title": "Packages",
        "path": "/packages/",
        "children": [
          {
            "title": "Creating a package",
            "path": "/packages/creating-a-package",
          }
        ]
      },
      {
        "title": "Resources",
        "path": "/resources/",
        "children": [],
      },
      {
        "title": "API Documentation",
        "path": "/api-documentation/",
        "children": [],
      }
    ],
    "collapsable": false
  }
];
